//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%3DA1B010014E.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%3DA1B010014E.cm

//## begin module%3DA1B010014E.cp preserve=no
//## end module%3DA1B010014E.cp

//## Module: PlotData%3DA1B010014E; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotData.h

#ifndef PLOTDATA_H
#define PLOTDATA_H 1

//## begin module%3DA1B010014E.additionalIncludes preserve=no
//## end module%3DA1B010014E.additionalIncludes

//## begin module%3DA1B010014E.includes preserve=yes
class PlotSettings;
struct StandardLabels;
//## end module%3DA1B010014E.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%3DA1B010014E.declarations preserve=no
//## end module%3DA1B010014E.declarations

//## begin module%3DA1B010014E.additionalDeclarations preserve=yes
//## end module%3DA1B010014E.additionalDeclarations


//## begin PlotData%3DA1B20603E3.preface preserve=yes
//## end PlotData%3DA1B20603E3.preface

//## Class: PlotData%3DA1B20603E3
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotData : public PlotCommand  //## Inherits: <unnamed>%4ACCF32A0231
{
  //## begin PlotData%3DA1B20603E3.initialDeclarations preserve=yes
  //## end PlotData%3DA1B20603E3.initialDeclarations

  public:
    //## Constructors (specified)
      //## Operation: PlotData%3DA1B95D0212
      PlotData (const string& name, bool isCounts);

    //## Destructor (generated)
      virtual ~PlotData();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B01C06A0366
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

    // Additional Public Declarations
      //## begin PlotData%3DA1B20603E3.public preserve=yes
      //## end PlotData%3DA1B20603E3.public

  protected:
    // Additional Protected Declarations
      //## begin PlotData%3DA1B20603E3.protected preserve=yes
      //## end PlotData%3DA1B20603E3.protected

  private:
    //## Constructors (generated)
      PlotData(const PlotData &right);

    //## Assignment Operation (generated)
      PlotData & operator=(const PlotData &right);


    //## Other Operations (specified)
      //## Operation: setRanges%4ACCF6E90219
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotData%3DA1B20603E3.private preserve=yes
      //## end PlotData%3DA1B20603E3.private

  private: //## implementation
    // Data Members for Class Attributes

      //## Attribute: isCounts%4ACCF5C6031A
      //## begin PlotData::isCounts%4ACCF5C6031A.attr preserve=no  private: bool {UC} 
      const bool m_isCounts;
      //## end PlotData::isCounts%4ACCF5C6031A.attr

    // Additional Implementation Declarations
      //## begin PlotData%3DA1B20603E3.implementation preserve=yes
      //## end PlotData%3DA1B20603E3.implementation

};

//## begin PlotData%3DA1B20603E3.postscript preserve=yes
//## end PlotData%3DA1B20603E3.postscript

// Class PlotData 

//## begin module%3DA1B010014E.epilog preserve=yes
//## end module%3DA1B010014E.epilog


#endif
